CREATE TABLE ap_matching_rules (
    MATCHING_RULE_ID         NUMBER(18, 0),
    MATCHING_RULE_NAME       VARCHAR2(200)    NOT NULL,
    DESCRIPTION              VARCHAR2(960),
    MATCH_OPTION             VARCHAR2(4)      NOT NULL,
    ENABLED_FLAG             VARCHAR2(4)  ,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    MATCHING_RULE_ID         NUMBER(18, 0),
    MATCHING_RULE_NAME       VARCHAR2(200)    NOT NULL,
    DESCRIPTION              VARCHAR2(960),
    MATCH_OPTION             VARCHAR2(4)      NOT NULL,
    ENABLED_FLAG             VARCHAR2(4)  ,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_ap_matching_rules PRIMARY KEY (MATCHING_RULE_ID, MATCHING_RULE_ID)
);
